Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmForumCategory

All Superinterfaces
  ContentBase, ICmForumItem, ICmRelatedContent, IContainer, IItem, Serializable

    public interface ICmForumCategory

extends ICmForumItem, IContainer, ICmRelatedContent

Forum Categories are used to hold instances of `ICmForum`s. This type of container cannot hold items.

Field Summary
`static ContainerClass` | `CLASS` The container class for an `ICmForumCategory`.
`static Key` | `FORUM_COUNT` Key representing the number of forums in the category.
`static int` | `KEYID_FORUM_COUNT` The `int` id for the `FORUM_COUNT` key.
`static Key[]` | `MINIMUM_CATEGORY_KEYS` Minimum keys needed for the category to function

Fields inherited from interface com.compoze.collab.beacm.ICmForumItem
`AUTHOR, BODY, CONTENT_TYPE, DATE_CREATED, DATE_LAST_MODIFIED, KEYID_AUTHOR, KEYID_BODY, KEYID_CONTENT_TYPE, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_KEYWORDS, KEYID_MASK_AUTHOR, KEYWORDS, MASK_AUTHOR`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.beacm.ICmRelatedContent
`KEYID_LINK, LINK`

Method Summary
`ICmForum` | `addForum(String sName)` Creates a new forum and adds it to this item
`int` | `getForumCount()` Gets the number of forums.
`ICmForum[]` | `getForums()` Gets the forums for this category.
`ICmForum[]` | `getForums(QueryProfile qp)` Gets the forums for this category.
`ICmForumList` | `getForums(QueryProfile qp, int iPageSize, int iPage)` Gets the forums for this category.

Methods inherited from interface com.compoze.collab.beacm.ICmForumItem
`getAuthor, getBody, getBodyContentType, getDateCreated, getDateLastModified, getKeywords, getMaskAuthor, getName, setAuthor, setBody, setKeywords, setMaskAuthor, setName`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.beacm.ICmRelatedContent
`getLinks, setLinks`

Methods inherited from interface com.bea.apps.groupspace.content.ContentBase
`getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getIcon, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty`

Field Detail

### KEYID_FORUM_COUNT

    static final int KEYID_FORUM_COUNT

  The `int` id for the `FORUM_COUNT` key.

  See Also
    Constants Summary

### FORUM_COUNT

    static final Key FORUM_COUNT

  Key representing the number of forums in the category.

### CLASS

    static final ContainerClass CLASS

  The container class for an `ICmForumCategory`.

### MINIMUM_CATEGORY_KEYS

    static final Key[] MINIMUM_CATEGORY_KEYS

  Minimum keys needed for the category to function

Method Detail

### getForumCount

    int getForumCount()
                      throws CollaborationException

  Gets the number of forums.

  Returns
    the number of forums
  Throws
    `CollaborationException` - if there was an error getting the number of forums

### getForums

    ICmForum[] getForums()
                         throws CollaborationException

  Gets the forums for this category.

  Returns
    the forums for this category
  Throws
    `CollaborationException` - if there was an error getting the forums for this category

### getForums

    ICmForum[] getForums(QueryProfile qp)
                         throws CollaborationException

  Gets the forums for this category.

  Parameters
    `qp` - the query profile to use when fetching the forums
  Returns
    the forums for this category
  Throws
    `CollaborationException` - if there was an error getting the forums for this category

### getForums

    ICmForumList getForums(QueryProfile qp,
                           int iPageSize,
                           int iPage)
                           throws CollaborationException

  Gets the forums for this category.

  Parameters
    `qp` - the query profile to use when fetching the forums
    `iPageSize` - the page size
    `iPage` - the page number
  Returns
    the forums for this category
  Throws
    `CollaborationException` - if there was an error getting the forums for this category

### addForum

    ICmForum addForum(String sName)
                      throws CollaborationException

  Creates a new forum and adds it to this item

  Parameters
    `sName` - name of the new forum. Not `null`
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved